%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Module-CoreList
%define modv   2.42
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A Perl module listing modules shipped with Perl versions
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/B/BI/BINGOS/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Chris Williams <chris@bingosnet.co.uk>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.00
BuildArch:     noarch


%description
Module::CoreList provides information on which core and dual-life modules
shipped with each version of Perl.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README
%{_bindir}/corelist
%{perl_vendorlib}/%{modp}
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*


%changelog
* Wed Jan 19 2011 Peter Pramberger <peterpramb@member.fsf.org> - 2.42-1
- New version (2.42)

* Thu Dec 16 2010 Peter Pramberger <peterpramb@member.fsf.org> - 2.41-1
- New version (2.41)

* Mon Nov 15 2010 Peter Pramberger <peterpramb@member.fsf.org> - 2.40-1
- New version (2.40)

* Wed Mar 18 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2.17-1
- New version (2.17)

* Sun May 11 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.15-1
- Initial build
